def MonitoringAlerts(output_data):

    summary = []
    temp = ""
    for output in output_data:
        if int(output['instanceno']) < 100:
            try:
                for i in output['responsetimes']:
                    if  i['metric'] == 'ResponseTime':
                        k = i['value'].split(' ')
                        if int(k[0])<1000:
                            temp = [output['instaname'],output['instanceno'],'Response Times','Green']
                            summary.append(temp)
                        else:
                            temp = [output['instaname'],output['instanceno'],'Response Times','Red']
                            summary.append(temp)                    
            except:
                pass

            try:                    
                for i in output['runtimedumps']:
                    if i['metric'] == 'Shortdumps Frequency':
                        k = i['value'].split(' ')
                        if int(k[0])==0:
                            temp = [output['instaname'],output['instanceno'],'Runtime Dumps','Green']
                            summary.append(temp)
                        else:
                            temp = [output['instaname'],output['instanceno'],'Runtime Dumps','Red']
                            summary.append(temp)
            except:
                pass

            try:                   
                temp = []
                hitratiolist = []            
                for i in output['buffer']:
                    
                    if (i['metric'] == 'HitRatio'):
                        hitratiolist.append([i['buffertype'],i['value']])
                        k = i['value'].split(' ')
                        if int(k[0])>90:
                             temp.append('green')
                        else:
                            temp.append('red')
                if 'red' in temp:
                    summary.append([output['instaname'],output['instanceno'],'Buffer','Red'])
                else:
                    summary.append([output['instaname'],output['instanceno'],'Buffer','Green'])                
            except:
                pass

            try:            
                for i in output['updatemonitoring']:
                    if i['metric'] == 'ErrorsInWpUD1':
                        if int(i['value'])==0:
                            temp = [output['instaname'],output['instanceno'],'Update Monitoring','Green']
                            summary.append(temp)
                        else:
                            temp = [output['instaname'],output['instanceno'],'Update Monitoring','Red']
                            summary.append(temp)                              
            except:
                pass

            try:
                for i in output['memory']:
                    if i['metric'] == 'Physical':
                        total = int(i['value'].split(' ')[0])
                    if i['metric'] == 'Free (Value)':
                        free = int(i['value'].split(' ')[0])
                if int((free*100)/total)<5:
                   summary.append([output['instaname'],output['instanceno'],'Memory Utilization','Red'])
                else:
                    summary.append([output['instaname'],output['instanceno'],'Memory Utilization','Green'])        
            except:
                pass

            try:            
                for i in output['cpu']:
                    if i['metric'] == 'CPU_Utilization':
                        used = int(i['value'].split(' ')[0])
                if used>80:
                    summary.append([output['instaname'],output['instanceno'],'CPU Utilization','Red'])
                else:
                    summary.append([output['instaname'],output['instanceno'],'CPU Utilization','Green'])                    
            except:
                pass

            try:    
                temp = []            
                for i in output['fs']:
                    if i['perc'].split(' ')[0].isdigit():
                        if int(i['perc'].split(' ')[0])>85:
                            temp.append('red')
                        else:
                            temp.append('green')
                if 'red' in temp:
                    summary.append([output['instaname'],output['instanceno'],'File System','Red'])
                else:
                    summary.append([output['instaname'],output['instanceno'],'File System','Green'])
            except:
                pass

        else:
            try:
                summary.append([output['instaname'],output['instanceno'],'Latest Data Backup',output['DATABackup'][0]['dbsize']])
                summary.append([output['instaname'],output['instanceno'],'Latest Log Backup',output['LOGBACKUP'][0]['dbsize']])
            except:
                pass

    return summary    