import os 
import time 
import traceback 
import signal 
import sys 

from django.core.wsgi import get_wsgi_application
sys.path.append('/var/www/html/caremigration')
os.environ.setdefault('DJANGO_SETTINGS_MODULE', 'caremigration.settings')

try: 
    application = get_wsgi_application() 
except Exception: 
    # Error loading applications 
    if 'mod_wsgi' in sys.modules: 
        traceback.print_exc() 
        os.kill(os.getpid(), signal.SIGINT) 
        time.sleep(2.5)

os.environ.setdefault('DJANGO_SETTINGS_MODULE', 'caremigration.settings')

application = get_wsgi_application()
